// pages/selectedPatents/selectedPatents.js
import { $wuxGallery} from '../../miniprogram_npm/wux-weapp/index'
const app = getApp()
const api = require('../../api/index')
Page({

  /**
   * 页面的初始数据
   */
  data: {
    imgHttp:app.globalData.imghttp,
    tableData:[],
    patentNoList:[]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    const eventChannel = this.getOpenerEventChannel()
    var that = this
    // eventChannel.emit('acceptDataFromOpenedPage', {data: 'test'});
    // eventChannel.emit('someEvent', {data: 'test'});
    // 监听acceptDataFromOpenerPage事件，获取上一页面通过eventChannel传送到当前页面的数据
    eventChannel.on('acceptDataFromOpenerPage', function(data) {
      console.log(data)
      that.setData(
        {
          tableData:data.data,
          patentNoList:data.patentNoList
        }
      )
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

 //查看专利详情
 checkPatentDetail(e){
  var {patentno} = e.currentTarget.dataset
  wx.navigateTo({
    url: '/pages/patentDetails/patentDetails?patentNo='+patentno,
  })
},
   //查看图片
   previewImage(e) {
    console.log(e)
    var { current,imglist } = e.currentTarget.dataset
    var imgs = []
    for(var i =0;i<imglist.length;i++){
      imgs.push(this.data.imgHttp + imglist[i].guid)
    }
    current = this.data.imgHttp + current
    $wuxGallery().show({
      current,
      urls: imgs.map((n) => ({ image: n, remark: n })),
      indicatorDots: true,
      indicatorColor: '#fff',
      indicatorActiveColor: '#04BE02',
      showDelete:false
    })
    // wx.previewImage({
    //   current,
    //   urls:imgs,
    // })
  },
  //人工服务
  humanServices(){
    wx.navigateTo({
      url: '/pages/form/riskAssessment/riskAssessment',
    })
  },
  //导出
export(){
  if(!this.data.patentNoList || this.data.patentNoList.length==0){
    wx.showToast({
      title: '您未选择专利！',
      icon:'none',
      duration: 2000
    })
    return false
  }
 
  var params = {
    patentNos:this.data.patentNoList
  }
  wx.showLoading({
    title: '导出中',
  })
  var that = this
  api.exportPatent(params).then(res=>{
    if(res.code == 200){
      var url = that.data.imgHttp + res.data.data
      wx.setClipboardData({
        data: url,
        success(res) {
          wx.showToast({
            title: '复制成功，快到浏览器打开/下载！',
            icon: 'none',
            duration: 3000
          })
        }
      })
      // downLoad.downLoadFile(res.data.data).then(res=>{
        
      // })
    }
  })
},


  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})